# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=aalib
pkgver=1.4rc5
pkgrel=1
pkgdesc="A portable ASCII art graphic library"
arch=('x86_64')
url="http://aa-project.sourceforge.net/aalib/"
license=('LGPL')
depends=('gpm' 'libx11' 'ncurses')
makedepends=('libxt')
source=(https://downloads.sourceforge.net/aa-project/${pkgname}-${pkgver}.tar.gz)
sha256sums=(fbddda9230cf6ee2a4f5706b4b11e2190ae45f5eda1f0409dc4f99b35e0a70ee)

prepare() {
    cd ${pkgname}-1.4.0

    sed -i -e '/AM_PATH_AALIB,/s/AM_PATH_AALIB/[&]/' aalib.m4
}

build() {
    cd ${pkgname}-1.4.0

    ${configure}                  \
        --infodir=/usr/share/info \
        --mandir=/usr/share/man   \
        --with-ncurses=/usr       \
        --disable-static
    make
}

package() {
    cd ${pkgname}-1.4.0

    make DESTDIR=${pkgdir} install
}
